#if !defined(__RPI_LEDDRIVER_H__)
#define __RPI_LEDDRIVER_H__

#include <stdint.h>

#define CHAN_MAXLEDS 6 * 60 // Maximum number of LEDs per channel
#define LED_NCHANS 8        // Number of LED channels (8 or 16)

void leddriver_setup();

void leddriver_close();

void set_color(uint32_t rgb, int index);

void rgb_txdata(int *rgbs, int index);

void leddriver_refresh();

#endif // __RPI_LEDDRIVER_H__